<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.TemperatureConverter</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;TemperatureConverter
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.TemperatureConverter-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.TemperatureConverter-module.html">Module screenlets.plugins.TemperatureConverter</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment"># coding=UTF-8</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.Convert=screenlets.plugins.Convert-module.html"><a title="screenlets.plugins.Convert" class="py-name" href="#" onclick="return doclink('link-0', 'Convert', 'link-0');">Convert</a></tt> <tt class="py-keyword">import</tt> <tt id="link-1" class="py-name" targets="Class screenlets.plugins.Convert.Converter=screenlets.plugins.Convert.Converter-class.html"><a title="screenlets.plugins.Convert.Converter" class="py-name" href="#" onclick="return doclink('link-1', 'Converter', 'link-1');">Converter</a></tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"> </tt>
<a name="TemperatureConverter"></a><div id="TemperatureConverter-def"><a name="L5"></a><tt class="py-lineno"> 5</tt> <a class="py-toggle" href="#" id="TemperatureConverter-toggle" onclick="return toggle('TemperatureConverter');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html">TemperatureConverter</a><tt class="py-op">(</tt><tt class="py-base-class">Converter</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="TemperatureConverter-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="TemperatureConverter-expanded"><a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line">        <tt class="py-docstring">"""A converter which converts temperature between Fahrenheit and Celsius."""</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line">         </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line">        <tt id="link-2" class="py-name" targets="Variable screenlets.Screenlet.__name__=screenlets.Screenlet-class.html#__name__,Variable screenlets.ScreenletTheme.__name__=screenlets.ScreenletTheme-class.html#__name__,Variable screenlets.plugins.Amarok.AmarokAPI.__name__=screenlets.plugins.Amarok.AmarokAPI-class.html#__name__,Variable screenlets.plugins.Audacious.AudaciousAPI.__name__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__name__,Variable screenlets.plugins.Banshee.BansheeAPI.__name__=screenlets.plugins.Banshee.BansheeAPI-class.html#__name__,Variable screenlets.plugins.BaseConverter.BaseConverter.__name__=screenlets.plugins.BaseConverter.BaseConverter-class.html#__name__,Variable screenlets.plugins.Convert.Converter.__name__=screenlets.plugins.Convert.Converter-class.html#__name__,Variable screenlets.plugins.Convert.RatioConverter.__name__=screenlets.plugins.Convert.RatioConverter-class.html#__name__,Variable screenlets.plugins.Exaile.ExaileAPI.__name__=screenlets.plugins.Exaile.ExaileAPI-class.html#__name__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__name__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__name__,Variable screenlets.plugins.Juk.JukAPI.__name__=screenlets.plugins.Juk.JukAPI-class.html#__name__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__name__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__name__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__name__,Variable screenlets.plugins.LengthConverter.LengthConverter.__name__=screenlets.plugins.LengthConverter.LengthConverter-class.html#__name__,Variable screenlets.plugins.Listen.ListenAPI.__name__=screenlets.plugins.Listen.ListenAPI-class.html#__name__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__name__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__name__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__name__,Variable screenlets.plugins.SizeConverter.SizeConverter.__name__=screenlets.plugins.SizeConverter.SizeConverter-class.html#__name__,Variable screenlets.plugins.Sonata.SonataAPI.__name__=screenlets.plugins.Sonata.SonataAPI-class.html#__name__,Variable screenlets.plugins.Songbird.SongbirdAPI.__name__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__name__,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__name__"><a title="screenlets.Screenlet.__name__
screenlets.ScreenletTheme.__name__
screenlets.plugins.Amarok.AmarokAPI.__name__
screenlets.plugins.Audacious.AudaciousAPI.__name__
screenlets.plugins.Banshee.BansheeAPI.__name__
screenlets.plugins.BaseConverter.BaseConverter.__name__
screenlets.plugins.Convert.Converter.__name__
screenlets.plugins.Convert.RatioConverter.__name__
screenlets.plugins.Exaile.ExaileAPI.__name__
screenlets.plugins.GenericPlayer.GenericAPI.__name__
screenlets.plugins.Juk.JukAPI.__name__
screenlets.plugins.Kaffeine.KaffeineAPI.__name__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__name__
screenlets.plugins.LengthConverter.LengthConverter.__name__
screenlets.plugins.Listen.ListenAPI.__name__
screenlets.plugins.Quodlibet.QuodlibetAPI.__name__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__name__
screenlets.plugins.SizeConverter.SizeConverter.__name__
screenlets.plugins.Sonata.SonataAPI.__name__
screenlets.plugins.Songbird.SongbirdAPI.__name__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__name__" class="py-name" href="#" onclick="return doclink('link-2', '__name__', 'link-2');">__name__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'TemperatureConverter'</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line">        <tt id="link-3" class="py-name" targets="Variable screenlets.plugins.BaseConverter.BaseConverter.__title__=screenlets.plugins.BaseConverter.BaseConverter-class.html#__title__,Variable screenlets.plugins.Convert.Converter.__title__=screenlets.plugins.Convert.Converter-class.html#__title__,Variable screenlets.plugins.Convert.RatioConverter.__title__=screenlets.plugins.Convert.RatioConverter-class.html#__title__,Variable screenlets.plugins.LengthConverter.LengthConverter.__title__=screenlets.plugins.LengthConverter.LengthConverter-class.html#__title__,Variable screenlets.plugins.SizeConverter.SizeConverter.__title__=screenlets.plugins.SizeConverter.SizeConverter-class.html#__title__,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.__title__=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__title__"><a title="screenlets.plugins.BaseConverter.BaseConverter.__title__
screenlets.plugins.Convert.Converter.__title__
screenlets.plugins.Convert.RatioConverter.__title__
screenlets.plugins.LengthConverter.LengthConverter.__title__
screenlets.plugins.SizeConverter.SizeConverter.__title__
screenlets.plugins.TemperatureConverter.TemperatureConverter.__title__" class="py-name" href="#" onclick="return doclink('link-3', '__title__', 'link-3');">__title__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Fahrenheit / Celsius'</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line">        <tt id="link-4" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__author__=screenlets.plugins.Amarok.AmarokAPI-class.html#__author__,Variable screenlets.plugins.Audacious.AudaciousAPI.__author__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__author__,Variable screenlets.plugins.Banshee.BansheeAPI.__author__=screenlets.plugins.Banshee.BansheeAPI-class.html#__author__,Variable screenlets.plugins.Exaile.ExaileAPI.__author__=screenlets.plugins.Exaile.ExaileAPI-class.html#__author__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__author__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__author__,Variable screenlets.plugins.Juk.JukAPI.__author__=screenlets.plugins.Juk.JukAPI-class.html#__author__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__author__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__author__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__author__,Variable screenlets.plugins.Listen.ListenAPI.__author__=screenlets.plugins.Listen.ListenAPI-class.html#__author__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__author__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__author__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__author__,Variable screenlets.plugins.Sonata.SonataAPI.__author__=screenlets.plugins.Sonata.SonataAPI-class.html#__author__,Variable screenlets.plugins.Songbird.SongbirdAPI.__author__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__author__"><a title="screenlets.plugins.Amarok.AmarokAPI.__author__
screenlets.plugins.Audacious.AudaciousAPI.__author__
screenlets.plugins.Banshee.BansheeAPI.__author__
screenlets.plugins.Exaile.ExaileAPI.__author__
screenlets.plugins.GenericPlayer.GenericAPI.__author__
screenlets.plugins.Juk.JukAPI.__author__
screenlets.plugins.Kaffeine.KaffeineAPI.__author__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__author__
screenlets.plugins.Listen.ListenAPI.__author__
screenlets.plugins.Quodlibet.QuodlibetAPI.__author__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__author__
screenlets.plugins.Sonata.SonataAPI.__author__
screenlets.plugins.Songbird.SongbirdAPI.__author__" class="py-name" href="#" onclick="return doclink('link-4', '__author__', 'link-4');">__author__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'Arnav Ghosh'</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line">        <tt id="link-5" class="py-name" targets="Variable screenlets.plugins.Amarok.AmarokAPI.__version__=screenlets.plugins.Amarok.AmarokAPI-class.html#__version__,Variable screenlets.plugins.Audacious.AudaciousAPI.__version__=screenlets.plugins.Audacious.AudaciousAPI-class.html#__version__,Variable screenlets.plugins.Banshee.BansheeAPI.__version__=screenlets.plugins.Banshee.BansheeAPI-class.html#__version__,Variable screenlets.plugins.Exaile.ExaileAPI.__version__=screenlets.plugins.Exaile.ExaileAPI-class.html#__version__,Variable screenlets.plugins.GenericPlayer.GenericAPI.__version__=screenlets.plugins.GenericPlayer.GenericAPI-class.html#__version__,Variable screenlets.plugins.Juk.JukAPI.__version__=screenlets.plugins.Juk.JukAPI-class.html#__version__,Variable screenlets.plugins.Kaffeine.KaffeineAPI.__version__=screenlets.plugins.Kaffeine.KaffeineAPI-class.html#__version__,Variable screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__=screenlets.plugins.LastFMProxy.LastFMProxyAPI-class.html#__version__,Variable screenlets.plugins.Listen.ListenAPI.__version__=screenlets.plugins.Listen.ListenAPI-class.html#__version__,Variable screenlets.plugins.Quodlibet.QuodlibetAPI.__version__=screenlets.plugins.Quodlibet.QuodlibetAPI-class.html#__version__,Variable screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__=screenlets.plugins.Rhythmbox.RhythmboxAPI-class.html#__version__,Variable screenlets.plugins.Sonata.SonataAPI.__version__=screenlets.plugins.Sonata.SonataAPI-class.html#__version__,Variable screenlets.plugins.Songbird.SongbirdAPI.__version__=screenlets.plugins.Songbird.SongbirdAPI-class.html#__version__"><a title="screenlets.plugins.Amarok.AmarokAPI.__version__
screenlets.plugins.Audacious.AudaciousAPI.__version__
screenlets.plugins.Banshee.BansheeAPI.__version__
screenlets.plugins.Exaile.ExaileAPI.__version__
screenlets.plugins.GenericPlayer.GenericAPI.__version__
screenlets.plugins.Juk.JukAPI.__version__
screenlets.plugins.Kaffeine.KaffeineAPI.__version__
screenlets.plugins.LastFMProxy.LastFMProxyAPI.__version__
screenlets.plugins.Listen.ListenAPI.__version__
screenlets.plugins.Quodlibet.QuodlibetAPI.__version__
screenlets.plugins.Rhythmbox.RhythmboxAPI.__version__
screenlets.plugins.Sonata.SonataAPI.__version__
screenlets.plugins.Songbird.SongbirdAPI.__version__" class="py-name" href="#" onclick="return doclink('link-5', '__version__', 'link-5');">__version__</a></tt> <tt class="py-op">=</tt> <tt class="py-string">'0.2'</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line">        <tt id="link-6" class="py-name" targets="Variable screenlets.plugins.BaseConverter.BaseConverter.num_fields=screenlets.plugins.BaseConverter.BaseConverter-class.html#num_fields,Variable screenlets.plugins.Convert.Converter.num_fields=screenlets.plugins.Convert.Converter-class.html#num_fields,Variable screenlets.plugins.LengthConverter.LengthConverter.num_fields=screenlets.plugins.LengthConverter.LengthConverter-class.html#num_fields,Variable screenlets.plugins.SizeConverter.SizeConverter.num_fields=screenlets.plugins.SizeConverter.SizeConverter-class.html#num_fields,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.num_fields=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#num_fields"><a title="screenlets.plugins.BaseConverter.BaseConverter.num_fields
screenlets.plugins.Convert.Converter.num_fields
screenlets.plugins.LengthConverter.LengthConverter.num_fields
screenlets.plugins.SizeConverter.SizeConverter.num_fields
screenlets.plugins.TemperatureConverter.TemperatureConverter.num_fields" class="py-name" href="#" onclick="return doclink('link-6', 'num_fields', 'link-6');">num_fields</a></tt> <tt class="py-op">=</tt> <tt class="py-number">2</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line">        <tt id="link-7" class="py-name" targets="Variable screenlets.plugins.BaseConverter.BaseConverter.field_names=screenlets.plugins.BaseConverter.BaseConverter-class.html#field_names,Variable screenlets.plugins.Convert.Converter.field_names=screenlets.plugins.Convert.Converter-class.html#field_names,Variable screenlets.plugins.LengthConverter.LengthConverter.field_names=screenlets.plugins.LengthConverter.LengthConverter-class.html#field_names,Variable screenlets.plugins.SizeConverter.SizeConverter.field_names=screenlets.plugins.SizeConverter.SizeConverter-class.html#field_names,Variable screenlets.plugins.TemperatureConverter.TemperatureConverter.field_names=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#field_names"><a title="screenlets.plugins.BaseConverter.BaseConverter.field_names
screenlets.plugins.Convert.Converter.field_names
screenlets.plugins.LengthConverter.LengthConverter.field_names
screenlets.plugins.SizeConverter.SizeConverter.field_names
screenlets.plugins.TemperatureConverter.TemperatureConverter.field_names" class="py-name" href="#" onclick="return doclink('link-7', 'field_names', 'link-7');">field_names</a></tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-string">u'&#730;F'</tt><tt class="py-op">,</tt> <tt class="py-string">u'&#730;C'</tt><tt class="py-op">]</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"> </tt>
<a name="TemperatureConverter.__init__"></a><div id="TemperatureConverter.__init__-def"><a name="L16"></a><tt class="py-lineno">16</tt> <a class="py-toggle" href="#" id="TemperatureConverter.__init__-toggle" onclick="return toggle('TemperatureConverter.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="TemperatureConverter.__init__-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="TemperatureConverter.__init__-expanded"><a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-8" class="py-name" targets="Variable screenlets.plugins.Convert.Converter.active_field=screenlets.plugins.Convert.Converter-class.html#active_field"><a title="screenlets.plugins.Convert.Converter.active_field" class="py-name" href="#" onclick="return doclink('link-8', 'active_field', 'link-8');">active_field</a></tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-9" class="py-name" targets="Variable screenlets.plugins.Convert.Converter.values=screenlets.plugins.Convert.Converter-class.html#values"><a title="screenlets.plugins.Convert.Converter.values" class="py-name" href="#" onclick="return doclink('link-9', 'values', 'link-9');">values</a></tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-string">'0'</tt><tt class="py-op">,</tt> <tt class="py-string">'0'</tt><tt class="py-op">]</tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line">                <tt class="py-comment"># 0&#730;F is not 0&#730;C, let's correct this by a call to convert()</tt> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-comment"># (this leaves '0' on the active field)</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"><tt class="py-comment"></tt>                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-10" class="py-name" targets="Method screenlets.plugins.BaseConverter.BaseConverter.convert()=screenlets.plugins.BaseConverter.BaseConverter-class.html#convert,Method screenlets.plugins.Convert.Converter.convert()=screenlets.plugins.Convert.Converter-class.html#convert,Method screenlets.plugins.Convert.RatioConverter.convert()=screenlets.plugins.Convert.RatioConverter-class.html#convert,Method screenlets.plugins.TemperatureConverter.TemperatureConverter.convert()=screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#convert,Method screenlets.plugins.mpdclient2.response_fetcher.convert()=screenlets.plugins.mpdclient2.response_fetcher-class.html#convert"><a title="screenlets.plugins.BaseConverter.BaseConverter.convert
screenlets.plugins.Convert.Converter.convert
screenlets.plugins.Convert.RatioConverter.convert
screenlets.plugins.TemperatureConverter.TemperatureConverter.convert
screenlets.plugins.mpdclient2.response_fetcher.convert" class="py-name" href="#" onclick="return doclink('link-10', 'convert', 'link-10');">convert</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div><a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"> </tt>
<a name="TemperatureConverter.filter_key"></a><div id="TemperatureConverter.filter_key-def"><a name="L23"></a><tt class="py-lineno">23</tt> <a class="py-toggle" href="#" id="TemperatureConverter.filter_key-toggle" onclick="return toggle('TemperatureConverter.filter_key');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#filter_key">filter_key</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt> <tt class="py-param">key</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="TemperatureConverter.filter_key-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="TemperatureConverter.filter_key-expanded"><a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">key</tt><tt class="py-op">.</tt><tt class="py-name">isdigit</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> <tt class="py-keyword">or</tt> <tt class="py-name">key</tt> <tt class="py-op">==</tt> <tt class="py-string">'+'</tt> <tt class="py-keyword">or</tt> <tt class="py-name">key</tt> <tt class="py-op">==</tt> <tt class="py-string">'-'</tt><tt class="py-op">:</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">True</tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line">                <tt class="py-keyword">elif</tt> <tt class="py-name">key</tt> <tt class="py-op">==</tt> <tt class="py-string">'.'</tt><tt class="py-op">:</tt> </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-keyword">not</tt> <tt class="py-op">(</tt><tt class="py-string">'.'</tt> <tt class="py-keyword">in</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-11" class="py-name"><a title="screenlets.plugins.Convert.Converter.values" class="py-name" href="#" onclick="return doclink('link-11', 'values', 'link-9');">values</a></tt><tt class="py-op">[</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name"><a title="screenlets.plugins.Convert.Converter.active_field" class="py-name" href="#" onclick="return doclink('link-12', 'active_field', 'link-8');">active_field</a></tt><tt class="py-op">]</tt><tt class="py-op">)</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">                        <tt class="py-keyword">return</tt> <tt class="py-name">False</tt> </tt>
</div><a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">         </tt>
<a name="TemperatureConverter.convert"></a><div id="TemperatureConverter.convert-def"><a name="L31"></a><tt class="py-lineno">31</tt> <a class="py-toggle" href="#" id="TemperatureConverter.convert-toggle" onclick="return toggle('TemperatureConverter.convert');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.TemperatureConverter.TemperatureConverter-class.html#convert">convert</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="TemperatureConverter.convert-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="TemperatureConverter.convert-expanded"><a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line">                <tt class="py-keyword">try</tt><tt class="py-op">:</tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">                        <tt class="py-name">val</tt> <tt class="py-op">=</tt> <tt class="py-name">float</tt><tt class="py-op">(</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-13" class="py-name"><a title="screenlets.plugins.Convert.Converter.values" class="py-name" href="#" onclick="return doclink('link-13', 'values', 'link-9');">values</a></tt><tt class="py-op">[</tt><tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-14" class="py-name"><a title="screenlets.plugins.Convert.Converter.active_field" class="py-name" href="#" onclick="return doclink('link-14', 'active_field', 'link-8');">active_field</a></tt><tt class="py-op">]</tt><tt class="py-op">)</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">                <tt class="py-keyword">except</tt><tt class="py-op">:</tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">                        <tt class="py-name">val</tt> <tt class="py-op">=</tt> <tt class="py-number">0</tt>         <tt class="py-comment"># This handles the case of a single '-' in input</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">                <tt class="py-keyword">if</tt> <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-15" class="py-name"><a title="screenlets.plugins.Convert.Converter.active_field" class="py-name" href="#" onclick="return doclink('link-15', 'active_field', 'link-8');">active_field</a></tt> <tt class="py-op">==</tt> <tt class="py-number">0</tt><tt class="py-op">:</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-16" class="py-name"><a title="screenlets.plugins.Convert.Converter.values" class="py-name" href="#" onclick="return doclink('link-16', 'values', 'link-9');">values</a></tt><tt class="py-op">[</tt><tt class="py-number">1</tt><tt class="py-op">]</tt> <tt class="py-op">=</tt> <tt class="py-string">'%.1f'</tt> <tt class="py-op">%</tt> <tt class="py-op">(</tt><tt class="py-op">(</tt><tt class="py-name">val</tt> <tt class="py-op">-</tt> <tt class="py-number">32</tt><tt class="py-op">)</tt> <tt class="py-op">/</tt> <tt class="py-number">1.8</tt><tt class="py-op">)</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">                <tt class="py-keyword">else</tt><tt class="py-op">:</tt> </tt>
<a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-17" class="py-name"><a title="screenlets.plugins.Convert.Converter.values" class="py-name" href="#" onclick="return doclink('link-17', 'values', 'link-9');">values</a></tt><tt class="py-op">[</tt><tt class="py-number">0</tt><tt class="py-op">]</tt> <tt class="py-op">=</tt> <tt class="py-string">'%.1f'</tt> <tt class="py-op">%</tt> <tt class="py-op">(</tt><tt class="py-op">(</tt><tt class="py-name">val</tt> <tt class="py-op">*</tt> <tt class="py-number">1.8</tt><tt class="py-op">)</tt> <tt class="py-op">+</tt> <tt class="py-number">32</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:01 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
